# Interface OverlapFilter<T extends BinarySequence>

All Known Implementing Classes:
  `OverlapFilterCompareAllAll, OverlapFilterDnaId`

public interface OverlapFilter<T extends BinarySequence>
Indicate whether an overlap between two sequences should be considered or not

## Method Summary

Modifier and Type
Method
Description
`boolean`
`considerOverlap(T seq1, T seq2)`
Consider overlap between two sequences?

## Method Details

### considerOverlap

boolean considerOverlap(T seq1, T seq2)
Consider overlap between two sequences?

Parameters:
  `seq1` -
  `seq2` -
Returns:
  true if sequences should be considered for overlapping